XPPAUT(1)

NAME
xppaut - X Phase plane plus AUTO. Solves many kinds of equations.

SYNOPSIS
xppaut [-silent] [-xorfix] [-convert]
    [-newseed] [-ee] [-allwin]
    [-white] [-setfile file] [-runnow]
    [-bigfont font] [-smallfont font] [-parfile file]
    [-outfile file] [-icfile file] [-grads boolean] [-bell boolean]
    [-forecolor color] [-backcolor color] [-backimage image]
    [-quiet boolean] [-logfile file] [-internset boolean] [-uset setname]
    [-rset setname] [-include file] [-qics] [-qpars] [-qsets]
    [-anifile file] [file...] [-mkplot] [-plotfmt format]
    [-ncdraw boolean] [-dfdraw N] [-version] [-noout]

DESCRIPTION
xppaut is a tool for solving:
•   differential equations
•   difference equations
•   delay equations
•   functional equations
•   differential-algebraic equation
•   boundary value problems
•   stochastic equations

The code brings together a number of useful algorithms and is written in C. All the graphics and interface are created using the X Window System protocol client library Xlib <http://www.xfree86.org>.

xppaut capabilities:
•   Handles up to 1950 differential equations.
•   There are over a dozen solvers including several for stiff systems, a solver for integral equations and a symplectic solver
•   Up to 10 graphics windows can be visible at once and a variety of color combinations is supported
•   PostScript output is supported as well as GIF and animated GIF movies
•   Post processing is easy and includes the ability to make histograms, FFTs and applying functions to columns of data
•   Equilibria and linear stability as well as one-dimensional invariant sets can be computed
•   Nullclines and flow fields aid in the qualitative understanding of two-dimensional models
•   Poincare maps and equations on cylinders and tori are also supported
•   Some useful averaging theory tricks and various methods for dealing with coupled oscillators
•   Equations with Dirac delta functions are allowable
•   Animations of simulations such as a little pendulum moving back and forth or lamprey swimming
•   A curve-fitter based on the Marquardt-Levenberg algorithm which lets you fit dynamical systems to data
•   Generate "movies" of three-dimensional views of attractors or parametric changes in the attractor as some parameters vary
•   Dynamically link to external subroutines
•   From the command line type /dev/stdin as the file and you can write the ODE on the fly

OPTIONS

-silent
    Batch run without the interface and dump solutions to a file

-xorfix
    Work-around for exclusive Or with X on some monitors/graphics setups

-convert
    Convert old style ODE files (e.g. phaseplane) to new ODE style

-newseed
    Randomizes the random number generator which will often use the same seed

-ee
    Emulates shortcuts of Evil Empire style (MS)

-allwin
    Brings XPP up with all the windows visible

-white
    Swaps foreground and background colors

-setfile filename
    Loads the set file before starting up

-runnow
    Runs ode file immediately upon startup (implied by -silent)

-bigfont font
    Use the big font whose filename is given

-smallfont font
    Use the small font whose filename is given

-parfile filename
    Load parameters from the named file

-outfile filename
    Send output to this file (default is output.dat)

-icfile filename
    Load initial conditions from the named file

-forecolor color
    Hexadecimal color (e.g. 000000) for foreground

-backcolor color
    Hexadecimal color (e.g. EDE9E3) for background

-mwcolor color
    Hexadecimal color (e.g. 808080) for main window

-dwcolor color
    Hexadecimal color (e.g. FFFFFF) for drawing window

-backimage filename
    Name of bitmap file (.xbm) to tile in background

    For example, the following text saved to a file named stipple2.xbm can be loaded to impart a stippled background.

        #define stipple2_width 2
        #define stipple2_height 2
        static char stipple2_bits[] = {
         0x02,0x01};

-grads B
    Color gradients will (B=1) or will not (B=0) be used

-width N
    Minimum width in pixels of main window

-height N
    Minimum height in pixels of main window

-bell B
    System bell on events will (B=1) or will not (B=0) be used

-internset B
    Internal sets will (B=1) or will not (B=0) be run during batch run

-uset setname
    Named internal set will be run during batch run

-rset setname
    Named internal set will not be run during batch run

-include filename
    Named file will be included (see include directive)

-qsets
    Query internal sets (output saved to OUTFILE)

-qpars
    Query parameters (output saved to OUTFILE)

-qics
    Query initial conditions (output saved to OUTFILE)

-quiet B
    Verbose log messages will (B=0) or will not be (B=1) written

-logfile filename
    Verbose log messages are written to named file instead of stdout

-anifile filename
    Load animation (.ani) from the named file

-mkplot
    Produce graphics from solution (requires -silent).

-plotfmt format
    Graphics format (see -mkplot). Supported values for format include svg and ps.

-ncdraw B
    Nullclines will (B=1) or will not be (B=0) produced (see -mkplot) for graphics output.

-dfdraw N
    Vector field may be produced (see -mkplot) for graphics output. Supported values for N are none (N=0), direction field (N=1), scaled direction field (N=2), and colorized (N=3). The number of grid values used in producing the field are determined by the nmesh @-option (see .xpprc or .ode syntax).

-version
    Output the version of this software and exit.

-noout
    During a batch run (see -silent) no solution output (.dat) file will be produced.

ENVIRONMENT

XPPSTART
    File browser will open to the specified path. This may be useful in an instructional setting to point to a mapped drive containing course materials.

XPPHELP
    Path to the XPPAUT documentation file <xpphelp.html> (e.g. /usr/share/doc/xppaut/html/xpphelp.html)

XPPBROWSER
    Web browser to view documentation (e.g. /usr/bin/firefox)

FILES
Each user can customize the behavior and appearance of Xppaut via the file “$HOME/.xpprc”. Where the environment variable $HOME points to the user's home directory. On most systems $HOME will already be set. Each option line in .xpprc begins with the “@” symbol followed by a comma-separated list of options. Comment lines begin with the “#” symbol and are ignored.

    # Example .xpprc file
    @ maxstor=50000
    @ meth=qualrk,tol=1e-6,atol=1e-6
    #Set up a customized look
    @ but=quit:fq,bell=1
    @ bigfont=lucidasanstypewriter-bold-14,grads=1
    # thats it

An list of the extensive options are given below. For complete description of each of these options the reader is referred to the technical documentation for Xppaut.

ATOL, AUTOEVAL, AUTOVAR, AUTOXMAX, AUTOXMIN, AUTOYMAX, AUTOYMIN, AXES, BACK, BACKCOLOR, BACKIMAGE, BANDLO, BANDUP, BELL, BIGFONT, BOUND, BUT, COLORMAP, DELAY, DLL_FUN, DLL_LIB, DS, DSMAX, DSMIN, DT, DTMAX, DTMIN, DWCOLOR, EPSL, EPSS, EPSU, FOLD, FORECOLOR, GRADS, HEIGHT, HISTI, HISTLO, HISTBINS, HISTCOL, JAC_EPS, LOGFILE, LT, MAXSTOR, METH, MULTIWIN, MWCOLOR, NCOL, NEWT_ITER, NEWT_TOL, NJMP, NMAX, NMESH, NORMMAX, NORMMIN, NPLOT, NPR, NTST, OUT, OUTPUT, PARMAX, PARMIN, PHI, POIMAP, POIPLN, POISGN, POISTOP, POIVAR, POSTPROCESS, PS_COLOR, PS_FONT, PS_FSIZE, PS_LW, QUIET, RANGE, RANGEHIGH, RANGELOW, RANGEOLDIC, RANGEOVER, RANGERESET, RANGESTEP, RUNNOW, S#, SLO#, SHI#, SEC, SEED, SIMPLOT, SMALLFONT, SMC, SPC, SPECCOL, SPECCOL2, SPECWIDTH, SPECWIN, STOCH, T0, THETA, TOL, TOR_PER, TOTAL, TRANS, UEC, UMC, UPC, VMAXPTS, WIDTH, XHI, XLO, XMAX, XMIN, XNC, XP#, YHI, YLO, YMAX, YMIN, YNC, YP#, ZMAX, ZMIN, ZP#,

HELP
Note: On typical X Window installations the command xlsfonts lists available fonts. For example, the following command lists only the available fixed width fonts:

    xlsfonts | grep -i -e "typewriter" \
        -e "mono" -e "^[0-9]x[0-9]" \
        -e "fixed" -e "-c-" -e "-m-" | sort

Note: For a listing of standard hexadecimal colors see <http://en.wikipedia.org/wiki/Web_colors>.

AUTHORS
This manual page was originally written by Isaac Jones <ijones@syntaxpolice.org>, for the Debian GNU/Linux system on March 4, 2002. This man page is currently maintained by D. P. Dougherty and B. Ermentrout.